Bug 767487 - Special/tricky magic needed to boot Acer Aspire 5736Z
Special/tricky magic needed to boot Acer Aspire 5736Z
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 02:49 EST by David Anderson
Modified: 2013-02-13 20:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:26:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2011-12-14 02:49:48 EST
Kernel: 3.1.4-1.fc16.x86_64

I have eventually successfully got Fedora 16 running on a new Acer Aspire 5736Z - specifications here: http://laptops-specs.blogspot.com/2011/01/acer-aspire-5736z-specifications.html

With the help of Google, I had to make the following alterations to the installed Grub command line:

1) Remove from the bootloader command line: modeset

2) Add to the bootloader command line: acpi_osi="Linux" acpi_backlight=vendor

Resulting bootloader command line:

linux   /vmlinuz-3.1.4-1.fc16.x86_64 root=UUID=3630ee6c-d6b0-4bd2-b128-8535ef3d9d37 ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 acpi_osi="Linux" acpi_backlight=vendor

3) After the graphical bootup starts (i.e. after the screen with two lines saying loading Linux and loading initial ramdisk disappears), quickly press the keyboard shortcut to alter the brightness (Fn - Left Arrow or Fn - Right Arrow). If you do it too late, then you may (after pressing it) see the growing graphic, but it will never succesfully launch into X - the 'F' of the boot-up graphic will never appear, but only the final stage of the growing graphic proceeding it will remain showing forever. If that happens, then the machine appears to be running, but something stopped it getting into X. If you press Ctrl-Alt-Del then you can watch systemd successfully reboot the machine and you can try again.

4) After the X session gets going, the screen will blank again, and you again need to press one of the alter-brightness combinations.

Similarly, after a suspend-to-disk, you'll need to alter-brightness in order to get your screen back.

This sequence of Google magic and tricks to perform will no doubt be too much for many would-be Fedora users, and it would be great if it was not needed.

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
04:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
05:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)
Comment 1 David Anderson 2012-02-24 07:31:09 EST
Issue still exists on kernel 3.2.3-2.fc16.x86_64
Comment 2 Dave Jones 2012-03-22 12:40:43 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:45:41 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:54:45 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 David Anderson 2012-03-23 02:16:29 EDT
The bug remains unchanged in kernel-3.3.0-4.fc16.
Comment 6 Josh Boyer 2012-09-17 14:30:47 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?
Comment 7 David Anderson 2012-09-18 02:33:44 EDT
Still present in 3.4.4-4.fc16.x86_64.

Thankfully though this kernel has made suspend/resume reliable - not had any panics I remember since installing it, whereas there used to be a panic every 10 cycles (guestimated).
Comment 8 Dave Jones 2012-10-23 11:29:49 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 9 Justin M. Forbes 2012-11-13 10:44:39 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 10 David Anderson 2012-11-13 14:39:05 EST
The bug is still there. Presently running 3.6.5-2.fc16.x86_64
Comment 11 Fedora End Of Life 2013-01-16 17:56:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 20:26:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.